# MatPartitioningPartySetGlobal

Set method for global partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningPartySetGlobal(MatPartitioning part, const char *global)

### Input Parameter

part -the partitioning context
method -May be one of MP_PARTY_OPT, MP_PARTY_LIN, MP_PARTY_SCA, MP_PARTY_RAN, MP_PARTY_GBF, MP_PARTY_GCF, MP_PARTY_BUB or MP_PARTY_DEF, or alternatively a string describing the method. Two or more methods can be combined like "gbf,gcf". Check the Party Library Users Manual for details.

Level:advanced
Location: src/mat/partition/impls/party/party.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages